changeset 1564:4950a25bd91e

Show an error message if autoconf isn't found
author Sam Lantinga <slouken@libsdl.org>
date Tue, 21 Mar 2006 07:02:34 +0000
parents b054590b967a
children 57431b199aed
files autogen.sh test/autogen.sh
diffstat 2 files changed, 12 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/autogen.sh	Tue Mar 21 06:54:24 2006 +0000
+++ b/autogen.sh	Tue Mar 21 07:02:34 2006 +0000
@@ -5,9 +5,14 @@
 
 # Regenerate configuration files
 cp acinclude.m4 aclocal.m4
+found=false
 for autoconf in autoconf autoconf259
-do if which $autoconf >/dev/null; then $autoconf; break; fi
+do if which $autoconf >/dev/null 2>&1; then $autoconf && found=true; break; fi
 done
+if test x$found = xfalse; then
+    echo "Couldn't find autoconf, aborting"
+    exit 1
+fi
 (cd test; sh autogen.sh)
 
 # Run configure for this platform
--- a/test/autogen.sh	Tue Mar 21 06:54:24 2006 +0000
+++ b/test/autogen.sh	Tue Mar 21 07:02:34 2006 +0000
@@ -2,6 +2,11 @@
 #
 # Regenerate configuration files
 cp acinclude.m4 aclocal.m4
+found=false
 for autoconf in autoconf autoconf259
-do if which $autoconf >/dev/null; then $autoconf; break; fi
+do if which $autoconf >/dev/null 2>&1; then $autoconf && found=true; break; fi
 done
+if test x$found = xfalse; then
+    echo "Couldn't find autoconf, aborting"
+    exit 1
+fi